Public Member Functions | Private Attributes | List of all members
libvisio::VSDStencils Class Reference

`#include <VSDStencils.h>`

## Public Member Functions
| VSDStencils ()
| ~VSDStencils ()
void | addStencil (unsigned idx, const VSDStencil &stencil)
const VSDStencil * | getStencil (unsigned idx) const
const VSDShape * | getStencilShape (unsigned pageId, unsigned shapeId) const
unsigned | count () const

## Private Attributes
std::map< unsigned, VSDStencil > | m_stencils

## Constructor & Destructor Documentation

## ◆ VSDStencils()

libvisio::VSDStencils::VSDStencils | ( |  | ) |

## ◆ ~VSDStencils()

libvisio::VSDStencils::~VSDStencils | ( |  | ) |

## Member Function Documentation

## ◆ addStencil()

void libvisio::VSDStencils::addStencil | ( | unsigned | idx,
|  | const VSDStencil & | stencil )

## ◆ count()

unsigned libvisio::VSDStencils::count | ( |  | ) | const
| inline

## ◆ getStencil()

const libvisio::VSDStencil * libvisio::VSDStencils::getStencil | ( | unsigned | idx | ) | const

Referenced by getStencilShape().

## ◆ getStencilShape()

const libvisio::VSDShape * libvisio::VSDStencils::getStencilShape | ( | unsigned | pageId,
|  | unsigned | shapeId ) const

## Member Data Documentation

## ◆ m_stencils

std::map<unsigned, VSDStencil> libvisio::VSDStencils::m_stencils
| private

Referenced by addStencil(), count(), getStencil(), and VSDStencils().

The documentation for this class was generated from the following files:

- VSDStencils.h
- VSDStencils.cpp